pydo.uptime.create_check()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.uptime.create_check(
body={
"name": "Landing page check",
"type": "https",
"target": "https://www.landingpage.com",
...,
},
)Description
To create an Uptime check, send a POST request to /v2/uptime/checks specifying the attributes
in the table below in the JSON body.
Parameters
namestring requiredExample:
Landing page checkA human-friendly display name.
typestring requiredThe type of health check to perform.
targetstring requiredExample:
https://www.landingpage.comThe endpoint to perform healthchecks on.
regionsarray of strings requiredExample:
['us_east', 'eu_west']An array containing the selected regions to perform healthchecks from.
enabledboolean requiredExample:
TrueA boolean value indicating whether the check is enabled/disabled.
Request Sample
Response Example
More Information
See /v2/uptime/checks in the API reference for additional detail on responses, headers, parameters, and more.